using System;
using System.Runtime.Serialization;

namespace SlatedGameToolkit.Tools.CommandSystem.Exceptions
{
    [Serializable]
    public class FatalUsageException : Exception
    {
        public FatalUsageException() { }
        public FatalUsageException(string message) : base(message) { }
        public FatalUsageException(string message, Exception inner) : base(message, inner) { }
        protected FatalUsageException(SerializationInfo info, StreamingContext context) : base(info, context) { }
    }
}